Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608461 - measurement units incorrect for "query execution max time" metric for hibernate plugin
measurement units incorrect for "query execution max time" metric for hiberna...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
:
Depends On:
Blocks: 725852
  Show dependency treegraph
 
Reported: 2010-06-27 12:43 EDT by Joseph Marques
Modified: 2011-07-28 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:57:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rendered metric mini-graph before the fix (21.01 KB, image/png)
2010-06-27 12:50 EDT, Joseph Marques
no flags Details
rendered metric mini-graph AFTER the fix (21.11 KB, image/png)
2010-06-27 12:50 EDT, Joseph Marques
no flags Details

  None (edit)
Description Joseph Marques 2010-06-27 12:43:51 EDT
Description of problem:

The "query execution max time" metric for the hibernate statistics service is incorrect.  Looking at the plugin descriptor, the units are unspecified, which implies the system will interpret the metric as an absolute count.

The statistics mbean indicates that this value is in milliseconds.  The fix is to add the following attribute and to the metric definition in the rhq-plugin.xml file:

units="milliseconds"

The plugin metadata update processes should take care of the rest.  Since the metric graphs have their axes labels generated during rendering, it should fix the appearance of already collected data, as well as fix the appearance of all data collected in the future.

-----

Two images will be uploaded to this case, showing what the rendered metric mini-graph looks like before and after the fix.
Comment 1 Joseph Marques 2010-06-27 12:50:35 EDT
Created attachment 427234 [details]
rendered metric mini-graph before the fix
Comment 2 Joseph Marques 2010-06-27 12:50:59 EDT
Created attachment 427235 [details]
rendered metric mini-graph AFTER the fix
Comment 3 Joseph Marques 2010-06-27 18:19:02 EDT
commit 942920432369b0be766ae653325678d312cda0a9
Author: Joseph Marques <joseph@redhat.com>
Date:   Sun Jun 27 18:09:40 2010 -0400

    BZ-608461: fix units for Hibernate statistics service "query execution max time" metric
Comment 4 Corey Welton 2010-06-30 09:52:58 EDT
QA Verified.  the appropriate measurement unit now appears.
Comment 5 Corey Welton 2010-08-12 12:57:06 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.